# Generated by Django 4.2.1 on 2023-05-10 17:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(max_length=30)),
                ('phone_code', models.CharField(max_length=30)),
                ('tag', models.CharField(max_length=30)),
                ('time_zone', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Mailing',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('start_at', models.DateTimeField()),
                ('content', models.TextField()),
                ('filter_by', models.CharField(max_length=30)),
                ('finish_at', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('sent_at', models.DateTimeField(auto_now=True)),
                ('status', models.BooleanField(default=False)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                 related_name='messages', to='mailing.client')),
                ('mailing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                 related_name='messages', to='mailing.mailing')),
            ],
        ),
    ]
